Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QDialogButtonBox.ButtonLayout

    java.lang.Object
      java.lang.Enum<QDialogButtonBox.ButtonLayout>
          com.trolltech.qt.gui.QDialogButtonBox.ButtonLayout

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDialogButtonBox.ButtonLayout>

Enclosing class:
  QDialogButtonBox

    public static enum QDialogButtonBox.ButtonLayout

extends java.lang.Enum<QDialogButtonBox.ButtonLayout>
implements QtEnumerator

This enum describes the layout policy to be used when arranging the buttons contained in the button box.

The button layout is specified by the current style.

Enum Constant Summary
`GnomeLayout` Use a policy appropriate for applications on GNOME.
`KdeLayout` Use a policy appropriate for applications on KDE.
`MacLayout` Use a policy appropriate for applications on Mac OS X.
`WinLayout` Use a policy appropriate for applications on Windows.

Method Summary
`static QDialogButtonBox.ButtonLayout` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDialogButtonBox.ButtonLayout` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDialogButtonBox.ButtonLayout[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WinLayout

    public static final QDialogButtonBox.ButtonLayout WinLayout

  Use a policy appropriate for applications on Windows.

### MacLayout

    public static final QDialogButtonBox.ButtonLayout MacLayout

  Use a policy appropriate for applications on Mac OS X.

### KdeLayout

    public static final QDialogButtonBox.ButtonLayout KdeLayout

  Use a policy appropriate for applications on KDE.

### GnomeLayout

    public static final QDialogButtonBox.ButtonLayout GnomeLayout

  Use a policy appropriate for applications on GNOME.

Method Detail

### values

    public static final QDialogButtonBox.ButtonLayout[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDialogButtonBox.ButtonLayout c : QDialogButtonBox.ButtonLayout.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDialogButtonBox.ButtonLayout valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDialogButtonBox.ButtonLayout resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD